Loading...
Searching...
No Matches
BALL::VertexAdjacencyEquality Class Reference

`#include <BALL/QSAR/simpleDescriptors.h>`

Inheritance diagram for BALL::VertexAdjacencyEquality:

## Public Member Functions

Constructors and Destructors
| VertexAdjacencyEquality ()
| VertexAdjacencyEquality (const VertexAdjacencyEquality &vae)
virtual | ~VertexAdjacencyEquality ()
Assignment
VertexAdjacencyEquality & | operator= (const VertexAdjacencyEquality &vae)
Accessors
double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::SimpleBase
| SimpleBase ()
| SimpleBase (const SimpleBase &sb)
| SimpleBase (const String &name)
| SimpleBase (const String &name, const String &unit)
virtual | ~SimpleBase ()
virtual SimpleBase & | operator= (const SimpleBase &sb)
void | computeAllDescriptors (AtomContainer &ac)
void | setDataFolder (const char *folder)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

The vertex adjacency equality si calculateed using the formula: (-(1-f) \log_2(1-f) - f \log_2 f ), where $f$ is defined as: ( f = \frac{(n^2 -2m)}{n^2}), where $n$ is the number of heavy atoms and $m$ is the number of heavy bonds. If $f$ is not in $(0,1)$ then $0$ is returned.

Definition at line 1054 of file simpleDescriptors.h.

## Constructor & Destructor Documentation

## VertexAdjacencyEquality() [1/2]

BALL::VertexAdjacencyEquality::VertexAdjacencyEquality | ( |  | ) |

Default constructor

## VertexAdjacencyEquality() [2/2]

BALL::VertexAdjacencyEquality::VertexAdjacencyEquality | ( | const VertexAdjacencyEquality & | vae | ) |

Copy constructor

## ~VertexAdjacencyEquality()

virtual BALL::VertexAdjacencyEquality::~VertexAdjacencyEquality | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## compute()

double BALL::VertexAdjacencyEquality::compute | ( | AtomContainer & | ac | ) |

virtual

Reimplemented from BALL::Descriptor.

## operator=()

VertexAdjacencyEquality & BALL::VertexAdjacencyEquality::operator= | ( | const VertexAdjacencyEquality & | vae | ) |

Assignment operator